Subject: [PATCH resend] git-blame.el: Add (require 'format-spec)

From: Jonathan Nieder <[email-masked]>
Date: Thu, 28 Oct 2010 22:38:09 -0500

Date: Tue, 25 May 2010 15:44:15 +0200
From: David Kågedal <[email-masked]>

c5022f57 (git-blame.el: Change how blame information is shown,
2009-09-29) taught the "M-x git-blame" mode to format its output
in a more interesting way, making use of the format-spec function.

format-spec is included in Emacs 23 and is a useful function.
Older emacsen can get it from Gnus.  In all emacsen, we need
to 'require it before use to avoid warnings:

 git-blame.el:483:1:Warning: the function `format-spec' is not known to be
     defined.

Reported-by: Sergei Organov <[email-masked]>
Reported-by: Kevin Ryde <[email-masked]>
Signed-off-by: Jonathan Nieder <[email-masked]>
---
David Kågedal wrote:
>> On Sun, Dec 6, 2009 at 8:43 PM, David Kågedal <[email-masked]> wrote:
>>> Sergei Organov <[email-masked]> writes:
>>>> Then there should be (require 'format-spec) in git-blame.el, right? Due
>>>> to:
>>>
>>> Of course. I must have missed that since I already had it loaded.
[...]
>                     here is the patch.

Junio, I think something like this patch is needed for git-blame.el
to work correctly.  I am no emacs lisp expert, though...

Other observations from that thread are a bit more worrying --- it
seems that c5022f57 dropped support for information about the selected
commit in the editor buffer, without updating the documentation in
contrib/emacs/README to match.

 contrib/emacs/git-blame.el |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/contrib/emacs/git-blame.el b/contrib/emacs/git-blame.el
index 7f4c792..d351cfb 100644
--- a/contrib/emacs/git-blame.el
+++ b/contrib/emacs/git-blame.el
@@ -79,6 +79,7 @@
 ;;; Code:
 
 (eval-when-compile (require 'cl))			      ; to use `push', `pop'
+(require 'format-spec)
 
 (defface git-blame-prefix-face
   '((((background dark)) (:foreground "gray"
-- 
1.7.0.4